using System.Text.RegularExpressions;

public abstract class SongValidatorBase : ISongValidator
{
    public abstract Task<Song> ValidateAsync(Uri songUri);

    public abstract Task<bool> CanExtractSongMetadataAsync(Uri songUri);

    public abstract bool CanValidateUri(Uri songUri);

    protected string LookupSpotifyId(string songName, string songArtist)
    {
        // TODO: Implement Spotify ID lookup logic
        return songName + " by " + songArtist;
    }
}